Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1308176 - tboot: FTBFS in rawhide
Summary: tboot: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tboot
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: nsun1
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1424072 (view as bug list)
Depends On:
Blocks: F24FTBFS F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2016-02-13 22:34 UTC by Fedora Release Engineering
Modified: 2018-02-04 03:20 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-04 03:20:53 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2016-02-13 22:34 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2016-02-13 22:34 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2016-02-13 22:34 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2016-02-13 22:34:33 UTC
Your package tboot failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12873039

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

Comment 1 Fedora Release Engineering 2016-02-13 22:34:37 UTC
Created attachment 1126587 [details]
build.log

Comment 2 Fedora Release Engineering 2016-02-13 22:34:39 UTC
Created attachment 1126588 [details]
root.log

Comment 3 Fedora Release Engineering 2016-02-13 22:34:42 UTC
Created attachment 1126589 [details]
state.log

Comment 4 Jan Kurik 2016-02-24 15:16:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 nsun1 2016-03-04 00:07:37 UTC
this was caused by a bug in tboot source code:

Actually the correct source code should look like this:

      if ( dest_hash == NULL || src_hash == NULL )

not like this:

     if ( dest_hash == NULL || dest_hash == NULL )

Comment 6 Alan Pevec 2017-05-22 08:45:48 UTC
Is this fixed in the latest upstream release 1.9.5 from Dec 2016 ? [1]
If so, please rebase it in Fedora!

[1] https://sourceforge.net/projects/tboot/files/

Comment 10 Fedora End Of Life 2017-07-25 20:09:22 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 nsun1 2017-07-25 21:54:29 UTC
we have tboot 1.9.6 as latest release.

Comment 12 Filipe Rosset 2018-02-04 02:30:38 UTC
*** Bug 1424072 has been marked as a duplicate of this bug. ***

Comment 13 Filipe Rosset 2018-02-04 03:20:53 UTC
Fixed in https://koji.fedoraproject.org/koji/buildinfo?buildID=1023755


Note You need to log in before you can comment on or make changes to this bug.